summaryrefslogtreecommitdiff
path: root/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack
diff options
context:
space:
mode:
Diffstat (limited to '2005/flow-accounting-lt2005/ltpdk/bin/lt-pack')
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/lt-pack40
1 files changed, 40 insertions, 0 deletions
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack b/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack
new file mode 100755
index 0000000..a898a5b
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# lt-pack - Creates an archive containing your LinuxTag paper prepared for upload.
+#
+# LinuxTag Paper Development Kit is Copyright (C) 2003 by LinuxTag e. V.
+#
+# V1.1 written 2003-05-04 by Nils Magnus (magnus@linuxtag.org)
+#
+
+# check options
+if [ $# -gt 1 ]
+then
+ cat << EOF
+Usage: $0
+Creates an archive containing your LinuxTag paper prepared for upload.
+EOF
+ exit 1
+fi
+
+# determine paths
+
+bin=`echo $0 | sed 's/[^/]*$//'`
+
+if echo ${bin} | grep -v '^/' > /dev/null
+then
+ bin="`pwd`/${bin}"
+fi
+
+xml=`echo ${bin} | sed 's/bin.*$/xml/'`
+
+# call tar from the correct directory
+
+cd ${bin}
+cd ..
+if tar cfzv paper.tar.gz paper
+then
+ echo "please upload now `pwd`/paper.tar.gz to the CC"
+else
+ echo "error while packaging"
+fi
personal git repositories of Harald Welte. Your mileage may vary